LASTLOG(8)

NAME
lastlog - examine lastlog file

SYNOPSIS

lastlog [<-u|--user> login-name]
    [<-t|--time> days] [<-h|--help>]

DESCRIPTION

lastlog formats and prints the contents of the last login log /var/log/lastlog file. The login-name, port, and last login time will be printed. The default (no flags) causes lastlog entries to be printed, sorted by their order in /etc/passwd.

-u, --user login-name
    will cause the lastlog record for login-name only to be printed

-t, --time days
    will cause only the lastlogins more recent than fIdays to be printed

-h, --help
    print a one-line help message and exit.

The -t flag overrides the use of -u.

If the user has never logged in the message "**Never logged in**" will be displayed instead of the port and time.

FILES
/var/log/lastlog - lastlog logging file

CAVEATS
Large gaps in uid numbers will cause the lastlog program to run longer with no output to the screen (i.e. if mmdf=800 and last uid=170, program will appear to hang as it processes uid 171-799).

AUTHORS
Julianne Frances Haugh (jockgrrl@ix.netcom.com)
Phillip Street